Table of Contents

AMPC.ASSETS API Changes

Warning

Some API changes are not backward compatible

Breaking Changes

Path Description
GET /Modules/AMPC/PlaceholderAssetComponents/Conditions/{id} InheritedFrom property is now only an id reference. Can be inherited from Regular Asset Type Condition and Placeholder Asset Type Component Condition.
GET /Modules/AMPC/PlaceholderAssetComponents/Conditions/Batch/{ids} InheritedFrom property is now only an id reference. Can be inherited from Regular Asset Type Condition and Placeholder Asset Type Component Condition.
GET /Modules/AMPC/RegularAssets/{id}/MonitoringPointTriggerParameters Reference changed from Monitoring Point Type to Monitoring Point Trigger Expression Parameter.
GET /Modules/AMPC/RegularAssets/MonitoringPointTriggerParameters Reference changed from Monitoring Point Type to Monitoring Point Trigger Expression Parameter.
GET /Modules/AMPC/RegularAssetTasks/{id} Condition monitoring redesign
GET /Modules/AMPC/RegularAssetTasks/Batch/{ids} Condition monitoring redesign

Changelog

A more detailed breakdown for the individual changes can be viewed here

==========================================================================
==                            API CHANGE LOG                            ==
==========================================================================
                   On Key AMPC Assets API Specification                   
--------------------------------------------------------------------------
--                              What's New                              --
--------------------------------------------------------------------------
- GET    /Modules/AMPC/Assets/Tree/{parentNodeType}/{parentIds}/RegularAssetTaskConditions/Recursive
- GET    /Modules/AMPC/RegularAssetTasks/Conditions/Lookups/LookupRegularAssetTaskConditionAllTaskInterval
- PATCH  /Modules/AMPC/RegularAssetTasks/Conditions/MatchBatch

--------------------------------------------------------------------------
--                            What's Deleted                            --
--------------------------------------------------------------------------
- GET    /Modules/AMPC/RegularAssetTasks/Lookups/LookupRegularAssetTaskMonitoringPoint
- GET    /Modules/AMPC/RegularAssetTasks/Lookups/LookupRegularAssetTaskMonitoringPointType

--------------------------------------------------------------------------
--                            What's Changed                            --
--------------------------------------------------------------------------
- GET    /Modules/AMPC/AssetFmecas/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/AssetFmecas/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/Assets/Tree/{parentNodeType}/{parentIds}/WorkOrders/Recursive
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Backward compatible
- GET    /Modules/AMPC/AuxiliaryAssetTasks/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/AuxiliaryAssetTasks/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/InPlaceAssets/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/InPlaceAssets/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/PlaceholderAssets/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/PlaceholderAssets/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/PlaceholderAssetComponents/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/PlaceholderAssetComponents/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/PlaceholderAssetComponents/Conditions/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Broken compatibility
          Missing property: properties.inheritedFromId (integer)
          Missing property: properties.inheritedFromAdjustmentFactor (number)
          Missing property: properties.inheritedFromConditionId (integer)
          Missing property: properties.inheritedFromConditionAdjustmentFactor (number)
          Missing property: properties.inheritedFromConditionCode (string)
          Missing property: properties.inheritedFromConditionConditionTypeId (integer)
          Missing property: properties.inheritedFromConditionConditionTypeCode (string)
          Missing property: properties.inheritedFromConditionConditionTypeDescription (string)
          Missing property: properties.inheritedFromConditionDescription (string)
          Missing property: properties.inheritedFromLastConfirmedOn (string)
- POST   /Modules/AMPC/PlaceholderAssetComponents/Conditions
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/PlaceholderAssetComponents/Conditions/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Broken compatibility
          Missing property: items[n].properties.inheritedFromId (integer)
          Missing property: items[n].properties.inheritedFromAdjustmentFactor (number)
          Missing property: items[n].properties.inheritedFromConditionId (integer)
          Missing property: items[n].properties.inheritedFromConditionAdjustmentFactor (number)
          Missing property: items[n].properties.inheritedFromConditionCode (string)
          Missing property: items[n].properties.inheritedFromConditionConditionTypeId (integer)
          Missing property: items[n].properties.inheritedFromConditionConditionTypeCode (string)
          Missing property: items[n].properties.inheritedFromConditionConditionTypeDescription (string)
          Missing property: items[n].properties.inheritedFromConditionDescription (string)
          Missing property: items[n].properties.inheritedFromLastConfirmedOn (string)
- POST   /Modules/AMPC/PlaceholderAssetComponents/Conditions/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssets/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssets/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetComponents/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetComponents/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssets/MonitoringPointTriggerParameters/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssets/MonitoringPointTriggerParameters
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Broken compatibility
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeId (integer)
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeCode (string)
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeDescription (string)
- GET    /Modules/AMPC/RegularAssets/{id}/MonitoringPointTriggerParameters
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Broken compatibility
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeId (integer)
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeCode (string)
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeDescription (string)
- GET    /Modules/AMPC/RegularAssets/MonitoringPointTriggerParameters/Lookups/LookupRegularAssetMonitoringPointTriggerParameterMonitoringPoint
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssets/MonitoringPointTriggerParameters/Lookups/LookupRegularAssetMonitoringPointTriggerParameterMonitoringPointTriggerExpressionParameter
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssets/MonitoringPointTriggerParameters/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Broken compatibility
          Missing property: properties.isReadingRequired (boolean)
          Missing property: properties.monitoringPointId (integer)
          Missing property: properties.monitoringPointCode (string)
          Missing property: properties.monitoringPointDescription (string)
          Missing property: properties.monitoringPointIsCalculated (boolean)
          Missing property: properties.monitoringPointMonitoringPointTypeId (integer)
          Missing property: properties.monitoringPointMonitoringPointTypeCode (string)
          Missing property: properties.monitoringPointMonitoringPointTypeDescription (string)
          Missing property: properties.monitoringPointTypeId (integer)
          Missing property: properties.monitoringPointTypeCode (string)
          Missing property: properties.monitoringPointTypeDescription (string)
- POST   /Modules/AMPC/RegularAssetTasks
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Broken compatibility
          Missing property: items[n].properties.isReadingRequired (boolean)
          Missing property: items[n].properties.monitoringPointId (integer)
          Missing property: items[n].properties.monitoringPointCode (string)
          Missing property: items[n].properties.monitoringPointDescription (string)
          Missing property: items[n].properties.monitoringPointIsCalculated (boolean)
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeId (integer)
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeCode (string)
          Missing property: items[n].properties.monitoringPointMonitoringPointTypeDescription (string)
          Missing property: items[n].properties.monitoringPointTypeId (integer)
          Missing property: items[n].properties.monitoringPointTypeCode (string)
          Missing property: items[n].properties.monitoringPointTypeDescription (string)
- POST   /Modules/AMPC/RegularAssetTasks/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Attributes/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Attributes/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/AuxiliaryTasks/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/AuxiliaryTasks/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Conditions/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Conditions/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/FollowUpTasks/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/FollowUpTasks/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/FollowUpTask/Expressions/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/FollowUpTask/Expressions
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Backward compatible
- POST   /Modules/AMPC/RegularAssetTasks/FollowUpTask/Expressions
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/FollowUpTasks/{regularAssetTaskFollowUpTaskId}/Expressions
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/FollowUpTask/Expressions/Lookups/LookupRegularAssetTaskFollowUpTaskExpressionRegularAssetTaskFollowUpTask
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/FollowUpTask/Expressions/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- POST   /Modules/AMPC/RegularAssetTasks/FollowUpTask/Expressions/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Resources/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Resources/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Spares/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/Spares/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/SubTasks/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/SubTasks/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/SuppressedTasks/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/SuppressedTasks/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
--------------------------------------------------------------------------
--                                Result                                --
--------------------------------------------------------------------------
                 API changes broke backward compatibility                 
--------------------------------------------------------------------------